# create the dictionaries to hold the values
occupations = {}
occupation_count = {}


# continue asking for input until the user quits
while True:
    print('Enter a name: (or q to quit)')
    # always save name without capitals
    name = input().lower()
    if name == 'q' or name == 'quit':
        break
    # lookup the occupation
    if name in occupations:
        is_a = 'is a'
        # if first letter of occcupation is a vowel, change for grammar
        if occupations[name][0] in 'aeiou':
            is_a = 'is an'
        # capitalize the first letter of the name for grammar
        print(name.capitalize(), is_a, occupations[name])
    else:
        print('I don\'t know the occupation of', name)
        print('What is their occupation?')
        # save occupation without capitals for correct count
        occupation = input().lower()
        # add the name-occupation pair to the dict
        occupations[name] = occupation
        # count the occupation
        occupation_count[occupation] = occupation_count.get(occupation, 0) + 1


print('Occupation count:')
# sort the occupations from highest count to lowest
for key, value in sorted(occupation_count.items(), reverse=True):
    print(key, ':', value)
